Subject: ange-ftp in NT emacs (and odd ^M problem!)

From: Norman Walsh <[email-masked]>
Date: Tue, 17 Jun 1997 14:46:07 -0400

Hello world,

Despite the efforts of a half dozen or more kind souls, I was
never able to get ange-ftp working from NT Emacs with any simple
reconfiguration.

I finally dug my way down into the elisp and found the problem.
Or rather, I found a solution, but if someone else can suggest
why the change described below is necessary for me but, apparently,
no one else, I'd love to hear about it.

On line 1503 in ange-ftp.el, about 12 lines down from the top of
ange-ftp-process-filter, there is some code designed to handle the
hash marks returned by the ftp client:

1501	      ;; handle hash mark printing
1502	      (and ange-ftp-process-busy
1503		   (string-match "^#+$" str)
1504		   (setq str (ange-ftp-process-handle-hash str)))

On my machine, I must change that to

1503		   (string-match "^#+^M*$" str)

(Where ^M is really a control-M, not a caret followed by a capital M).

However, I just noticed an even more frightening problem that might be
related.  I cannot copy a block of text that contains a literal ^M.
I can kill a line that contains it, but when I yank that line back, the
^M is gone.

Is it me?  Have I got something horribly misconfigured because I dragged
a lot of my .emacs file over from a unix box?

                                        Cheers,
                                          norm
-- 
Norman Walsh <[email-masked]> | You are in a twisty little maze
Senior Application Analyst          | of URLs, all alluring.
ArborText, Inc. (www.arbortext.com) | 
413.549.3868 Voice/FAX              |